<?
include_once '../inc/head.php';
function view($url){
$curl = curl_init();
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_USERAGENT, 'Opera/9.80 (J2ME/MIDP; Opera Mini/4.2.14912/27.1176; U; ru) Presto/2.8.119 Version/11.10');
curl_setopt($curl, CURLOPT_HTTPHEADER, array('Accept: text/html, application/xml;q=0.9, application/xhtml xml, image/png, image/jpeg, image/gif,image/x-bitmap, */*;q=0.1', 'Accept-Charset: utf-8;q=0.6 windows-1251;q=0.1*;q=0.1', 'Accept-Encoding: utf-8', 'Accept-Language: ru, en;q=0.9'));
curl_setopt($curl, CURLOPT_AUTOREFERER, 0);
curl_setopt($curl, CURLOPT_FOLLOWLOCATION, 0);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($curl, CURLOPT_POST, 0);
$result = curl_exec($curl);
curl_close($curl);
if (!$result){
echo '<div class="menu">
Ошибка, мы уже работаем над её устранением...
</div>';
}
return $result;
}
echo '<div class="title">';echo "
$title";echo '</div>';
$i = $_GET['i'];
$file=view('http://inform.temafon.ru/horo/'.(!empty($i) ? $i : ''));
$file=str_replace('href="http://inform.temafon.ru/horo/','href="?i=',$file);
$file=str_replace('href="http://inform.temafon.ru/horo','href="?i=',$file);
$file=str_replace('<div class="delimiter1','',$file);



$file=preg_replace('|<!DOCTYPE(.*?)<div class="date">|si','<div class="menu"></a>',$file);
$file=str_replace('leftPadding">','<div class="block">',$file);
$file=str_replace('<img src="/imageswap','<img src="http://inform.temafon.ru/imageswap',$file);
$file=preg_replace('|<div class="block"><img class="additional"(.*?)</html>|si','',$file);
$file=str_replace('<div class="leftPadding header1">','<div class="title">',$file);
$file=str_replace('<div class="leftPadding header2">','<div class="block">',$file);
$file=str_replace('<div class="delimiter2">','<div class="title">',$file);
$file=str_replace('<div class="leftPadding','',$file);
$file=str_replace('bottomPadding">','<div class="block">',$file);
$file=str_replace('bottomPadding','',$file);
$file=str_replace('topPadding">','',$file);
$file=str_replace('delimiter1">','',$file);
$file=preg_replace('|topPadding(.*?)>|si','<div class="title">',$file);
$file=str_replace('<table class="noPadding">','<div class="block">',$file);
$file=str_replace('<td>','',$file);
$file=str_replace('<tr>','',$file);
$file=str_replace('</td>','',$file);
$file=str_replace('</tr>','<br>',$file);
$file=str_replace('</table>','',$file);
$file=preg_replace('|<table(.*?)>|si','',$file);
$file=preg_replace('|<img class="phone"(.*?)</div>|si','',$file);
$file=preg_replace('|<span(.*?)>|si','',$file);
$file=str_replace('</span>','',$file);

echo $file;
include_once '../inc/foot.php';
#######BY MAKSAMKA. Ася 1542636 Перепродажа запрещена.####
?>